How do I update my Flash Player?

Our game requires Adobe Flash Player in order to play. Minimal required Flash Player version should be 19.0. Follow the steps below to make sure that you have the most current version installed!  

1. Follow the  link to find out the newest version of Flash Player available to download.

2. Select the 'Download Now' button. Uncheck any boxes for additional options that you don't wish to install such as tool bars or virus protection software etc. 

3. Once you have completed the installation, restart your browser.

Still need help? Contact Us Contact Us